> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Payin Recipient

> 
    Register a wallet's address as an payin recipient with the provider. The registration then needs
    to be approved on the provider's side (for Circle Mint: by an administrator in the Mint Console)
    before payins to that wallet can be created.
  

#### Authentication

✅ Organization User (`CustomerEmployee`)\
✅ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Payins:Create`: Always required.


## OpenAPI

````yaml /openapi.yaml post /payins/recipients
openapi: 3.1.0
info:
  version: 1.910.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /payins/recipients:
    post:
      tags:
        - Payins
      summary: Register Payin Recipient
      description: |2-

            Register a wallet's address as an payin recipient with the provider. The registration then needs
            to be approved on the provider's side (for Circle Mint: by an administrator in the Mint Console)
            before payins to that wallet can be created.
          
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    provider:
                      type: string
                      enum:
                        - CircleMint
                    walletId:
                      type: string
                      minLength: 1
                      maxLength: 64
                      pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                      description: The wallet to register as a Circle Mint recipient.
                      example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                    currency:
                      type: string
                      enum:
                        - USD
                        - EUR
                      description: >-
                        Fiat currency of the payin (determines the delivered
                        stablecoin, e.g. USD → USDC, EUR → EURC).
                  required:
                    - provider
                    - walletId
                    - currency
                  title: Circle Mint Register Payin Recipient
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  provider:
                    type: string
                    enum:
                      - CircleMint
                    description: Payin provider.
                  walletId:
                    type: string
                    minLength: 1
                    maxLength: 64
                    pattern: ^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
                    description: >-
                      The wallet whose address is (to be) registered as a
                      recipient.
                    example: wa-5pfuu-9euek-h0odgb6snva8ph3k
                  currency:
                    type: string
                    enum:
                      - USD
                      - EUR
                    description: >-
                      Fiat currency of the payin (determines the delivered
                      stablecoin, e.g. USD → USDC, EUR → EURC).
                  status:
                    type: string
                    enum:
                      - NotRegistered
                      - PendingVerification
                      - Active
                    description: Recipient status.
                  recipientAddressId:
                    type: string
                    description: The provider's recipient-registry id, once registered.
                required:
                  - provider
                  - walletId
                  - currency
                  - status
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````